Xid (Java Platform SE 8 )
Keywords: javax.transaction.xa.Xid interface
Date: 2015-05-24

compact2, compact3
javax.transaction.xa

## Interface Xid

-     public interface Xid

  The Xid interface is a Java mapping of the X/Open transaction identifier XID structure. This interface specifies three accessor methods to retrieve a global transaction format ID, global transaction ID, and branch qualifier. The Xid interface is used by the transaction manager and the resource managers. This interface is not visible to the application programs.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `MAXBQUALSIZE` Maximum number of bytes returned by getBqual.
    `static int` | `MAXGTRIDSIZE` Maximum number of bytes returned by getGtrid.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getBranchQualifier()` Obtain the transaction branch identifier part of XID as an array of bytes.
    `int` | `getFormatId()` Obtain the format identifier part of the XID.
    `byte[]` | `getGlobalTransactionId()` Obtain the global transaction identifier part of XID as an array of bytes.

- - ### Field Detail

    - #### MAXGTRIDSIZE

          static final int MAXGTRIDSIZE

      Maximum number of bytes returned by getGtrid.
      See Also:
        Constant Field Values

    - #### MAXBQUALSIZE

          static final int MAXBQUALSIZE

      Maximum number of bytes returned by getBqual.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getFormatId

          int getFormatId()

      Obtain the format identifier part of the XID.
      Returns:
        Format identifier. O means the OSI CCR format.

    - #### getGlobalTransactionId

          byte[] getGlobalTransactionId()

      Obtain the global transaction identifier part of XID as an array of bytes.
      Returns:
        Global transaction identifier.

    - #### getBranchQualifier

          byte[] getBranchQualifier()

      Obtain the transaction branch identifier part of XID as an array of bytes.
      Returns:
        Global transaction identifier.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.